Summary: A shell similar to ksh, but with improvements.
Name: zsh
Version: 3.0.7
Release: 4
Copyright: GPL
Group: System Environment/Shells
Source0: ftp://ftp.lysator.liu.se/pub/unix/zsh/zsh-%{version}.tar.gz
Source1: zlogin.rhs
Source2: zlogout.rhs
Source3: zprofile.rhs
Source4: zshrc.rhs
Source5: zshenv.rhs
Patch0: zsh-3.0.5-nsl.patch
Patch1: zsh-3.0.7-docfix.patch
Prereq: fileutils grep /sbin/install-info
Buildroot: /var/tmp/%{name}-root

%description
The zsh shell is a command interpreter usable as an interactive login
shell and as a shell script command processor.  Zsh resembles the ksh
shell (the Korn shell), but includes many enhancements.  Zsh supports
command line editing, built-in spelling correction, programmable
command completion, shell functions (with autoloading), a history
mechanism and more.

Install the zsh package if you'd like to try out a different shell.

%prep

%setup -q
%patch0 -p1
%patch1 -p1

%build

# XXX replace the following with GNUconfigure
autoconf
%configure --bindir=/bin --enable-etcdir=/etc

make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/info ${RPM_BUILD_ROOT}/bin ${RPM_BUILD_ROOT}/etc

make prefix=${RPM_BUILD_ROOT}%{_prefix} bindir=${RPM_BUILD_ROOT}/bin install

strip ${RPM_BUILD_ROOT}/bin/zsh
chmod 755 ${RPM_BUILD_ROOT}/bin/zsh
gzip -9nf ${RPM_BUILD_ROOT}%{_prefix}/info/zsh*
cp Etc/{BUGS,FAQ,CONTRIBUTORS,FEATURES,NEWS} .

for I in zshrc zlogin zlogout zshenv zprofile; do
	cp $RPM_SOURCE_DIR/${I}.rhs ${RPM_BUILD_ROOT}/etc/$I
done

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
if [ ! -f /etc/shells ] ; then
    echo "/bin/zsh" > /etc/shells
else
    echo "/bin/zsh" >> /etc/shells
fi

/sbin/install-info %{_prefix}/info/zsh.info.gz %{_prefix}/info/dir \
	--entry="* zsh: (zsh).			An enhanced bourne shell."

%preun
if [ "$1" = 0 ] ; then
    /sbin/install-info --delete %{_prefix}/info/zsh.info.gz %{_prefix}/info/dir \
	--entry="* zsh: (zsh).			An enhanced bourne shell."
fi

%postun
if [ "$1" = 0 ] ; then
    if [ -f /etc/shells ] ; then
    	TmpFile=`/bin/mktemp /tmp/.zshrpmXXXXXX`
    	grep -v '^/bin/zsh$' /etc/shells > $TmpFile
    	cp -f $TmpFile /etc/shells
    	rm -f $TmpFile
    	chmod 644 /etc/shells
    fi
fi

%triggerpostun -- zsh <= 3.0.7-2
if [ ! -f /etc/shells ] ; then
    echo "/bin/zsh" > /etc/shells
else
    echo "/bin/zsh" >> /etc/shells
fi


%files
%defattr(-,root,root)
%doc BUGS CONTRIBUTORS ChangeLog FAQ FEATURES META-FAQ NEWS README
%doc Etc Util Functions
/bin/zsh
/bin/zsh-%{version}
%{_prefix}/man/man1/*
%{_prefix}/info/*
%config /etc/*

%changelog
* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Fri Mar 03 2000 Cristian Gafton <gafton@redhat.com>
- fix postun script so that we don't remove ourselves on every update
  doh...
- add a trigger to fix old versions of the package

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependencies

* Thu Jan 13 2000 Jeff Johnson <jbj@redhat.com>
- update to 3.0.7.
- source /etc/profile so that USER gets set correctly (#5655).

* Fri Sep 24 1999 Michael K. Johnson <johnsonm@redhat.com>
- source /etc/profile.d/*.sh in zprofile

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- fix zshenv and zprofile scripts - foxed versions from HJLu.

* Thu Jul 29 1999 Bill Nottingham <notting@redhat.com>
- clean up init files some. (#4055)

* Tue May 18 1999 Jeff Johnson <jbj@redhat.com>
- Make sure that env variable TmpFile is evaluated. (#2898)

* Sun May  9 1999 Jeff Johnson <jbj@redhat.com>
- fix select timeval initialization (#2688).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)
- fix the texi source
- patch to detect & link against nsl

* Wed Mar 10 1999 Cristian Gafton <gafton@redhat.com>
- use mktemp to handle temporary files.

* Thu Feb 11 1999 Michael Maher <mike@redhat.com>
- fixed bug #365

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- compile for 5.2

* Sat Jun 06 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Sat Jun  6 1998 Jeff Johnson <jbj@redhat.com>
- Eliminate incorrect info page removal.

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan build
- moved profile.d handling from zshrc to zprofile

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- Upgraded to 3.0.5
- Install-info handling

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Apr 10 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to 3.0.2
- Added 'reasonable' default startup files in /etc
